PAM_STRERROR(3)

NAME
pam_strerror - return a textual description of a PAM error

SYNOPSIS
#include <security/pam_appl.h>
or,
#include <security/pam_modules.h>

const char *pam_strerror(int pam_error);

DESCRIPTION
pam_strerror This function returns a pointer to a line of text describing the PAM error passed as its sole argument.

RETURN VALUE
On success this function returns a description of the indicated error. Should the function not recognize the error, ``Unknown PAM error'' is returned.

CONFORMING TO
DCE-RFC 86.0, October 1995.

BUGS

This function should be internationalized.

SEE ALSO
pam(8). Also, see the three Linux-PAM Guides, for System administrators, module developers, and application developers.